### Signal

# Atk Object::state-change

#### Declaration

    void
    state_change (
      AtkObject* self,
      gchar* arg1,
      gboolean arg2,
      gpointer user_data
    )

#### Description [src]

The “state-change” signal is emitted when an object’s state changes. The detail value identifies the state type which has changed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`arg1`

  Type: `gchar*`

  The name of the state which has changed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg2`

  Type: `gboolean`

  A boolean which indicates whether the state has been set or unset.